# include <stdio.h>
# include <stdlib.h>
/** Permutation table **/

void swap(int *a,int *b)
{
	int t=*a;
	*a=*b;
	*b=t;
}

void makePerm(int *x,int n)
{
	int i;
	for(i=0;i<n;i++)
	{
		int pos1,pos2;
		
		pos1=i;
		do{
			pos2=rand() %n;
		}while(pos1==pos2);
		swap(&x[pos1],&x[pos2]);
	}
}

void printArray(int *x,int n)
{
	int i;
	for(i=0;i<n;i++) printf("%4d",x[i]);
	printf("\n");
}

int main()
{
	int i;
	int p[20];
	for(i=0;i<20;i++) p[i]=2*i+1;
	makePerm(p,20);
	printArray(p,20);
	return 0;
}

/**  1 2 3 4 5 6    **/
/**  2 1 4 3 6 5    **/
